COMMENT ^

This file contains constants for the DOSOPEN call

^

; file attribute
NORMAL_FILE		EQU	 0000h
READONLY_FILE		EQU	 0001h
HIDDEN_FILE		EQU	 0002h

; Open Flag
EXIST_FAIL		EQU	 0000h	  ; if file exist, fail
EXIST_OPEN		EQU	 0001h	  ; if file exist, open
EXIST_TRUNC		EQU	 0002h	  ; if file exist, truncate
NOTEXIST_FAIL		EQU	 0000h	  ; if file not exist, fail
NOTEXIST_CREATE 	EQU	 0010h	  ; if file not exist, create

; open mode flag
READ_ONLY		EQU	 0000h	  ; read only
WRITE_ONLY		EQU	 0001h	  ; write only
READ_WRITE		EQU	 0002h	  ; read and write
DENY_NONE		EQU	 0040h	  ; deny


; device attribute flags
DEVICE_STDIN		EQU	 0001h	  ; this device is stdin (KBD$)
DEVICE_STDOUT		EQU	 0002h	  ; this device is stdout (S7REEN$)
DEVICE_TYPE		EQU	 8000h	  ; on = char, off = block


